'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _BaseButton = require('./BaseButton');

var _BaseButton2 = _interopRequireDefault(_BaseButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var GhostButton = function (_Component) {
  (0, _inherits3.default)(GhostButton, _Component);

  function GhostButton() {
    (0, _classCallCheck3.default)(this, GhostButton);
    return (0, _possibleConstructorReturn3.default)(this, (GhostButton.__proto__ || Object.getPrototypeOf(GhostButton)).apply(this, arguments));
  }

  (0, _createClass3.default)(GhostButton, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          disabled = _props.disabled,
          value = _props.value,
          onClick = _props.onClick,
          inline = _props.inline;

      return _react2.default.createElement(_BaseButton2.default, { type: 'ghost', disabled: disabled, inline: inline, onClick: onClick, value: value });
    }
  }]);
  return GhostButton;
}(_react.Component);

GhostButton.propTypes = {
  disabled: _propTypes2.default.bool,
  inline: _propTypes2.default.bool,
  value: _propTypes2.default.string,
  onClick: _propTypes2.default.func
};

exports.default = GhostButton;
//# sourceMappingURL=GhostButton.js.map