'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('./LinieSiatki.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LinieSiatki = function (_Component) {
  (0, _inherits3.default)(LinieSiatki, _Component);

  function LinieSiatki(props) {
    (0, _classCallCheck3.default)(this, LinieSiatki);

    var _this = (0, _possibleConstructorReturn3.default)(this, (LinieSiatki.__proto__ || Object.getPrototypeOf(LinieSiatki)).call(this, props));

    _this.setRowStyle = function () {
      var _this$props = _this.props,
          size = _this$props.size,
          type = _this$props.type,
          color = _this$props.color,
          width = _this$props.width;

      var newSize = size || 1;
      var newType = type || 'solid';
      var newColor = color || '#cccccc';
      _this.setState({
        width: width || '200%',
        height: 1,
        borderLeft: 0,
        borderBottom: newSize + 'px ' + newType + ' ' + newColor
      });
    };

    _this.setColumnStyle = function () {
      var _this$props2 = _this.props,
          size = _this$props2.size,
          type = _this$props2.type,
          color = _this$props2.color,
          height = _this$props2.height;

      var newSize = size || 4;
      var newType = type || 'solid';
      var newColor = color || '#3d7eff';
      _this.setState({
        width: 1,
        height: height || 16,
        borderBottom: 0,
        borderLeft: newSize + 'px ' + newType + ' ' + newColor
      });
    };

    _this.getPropsStyle = function () {
      var _this$props3 = _this.props,
          direction = _this$props3.direction,
          padding = _this$props3.padding;

      _this.setState({
        padding: padding || '0'
      });
      if (direction === 'row') {
        // 横线
        _this.setRowStyle();
      } else {
        // 竖线
        _this.setColumnStyle();
      }
    };

    _this.state = {
      width: '100%',
      height: 1,
      padding: 0,
      borderBottom: '1px solid #cccccc',
      borderLeft: 0
    };
    return _this;
  }

  (0, _createClass3.default)(LinieSiatki, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      this.getPropsStyle();
    }
  }, {
    key: 'render',
    value: function render() {
      return _react2.default.createElement('div', { style: this.state, className: 'zk_liniesiatki' });
    }
  }]);
  return LinieSiatki;
}(_react.Component); /* 线 */


LinieSiatki.propTypes = {
  direction: _propTypes2.default.oneOf(['row', 'column']),
  type: _propTypes2.default.oneOf(['solid', 'dashed']),
  height: _propTypes2.default.oneOfType([_propTypes2.default.number, _propTypes2.default.string]),
  size: _propTypes2.default.number,
  padding: _propTypes2.default.number,
  color: _propTypes2.default.string
};

exports.default = LinieSiatki;
//# sourceMappingURL=LinieSiatki.js.map